package com.ecep.contract.ds.other.controller;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.ecep.contract.cloud.u8.YongYouU8Service;
import com.ecep.contract.model.CloudYu;

@RestController
@RequestMapping("/cloudYu")
public class CloudYuController {
    @Autowired
    private YongYouU8Service yongYouU8Service;

    @RequestMapping("/findById")
    public CloudYu findById(Integer id) {
        return yongYouU8Service.findById(id);
    }

    @RequestMapping("/list")
    public Page<CloudYu> list(
            Map<String, Object> params,
            @RequestParam(defaultValue = "0", name = "page") int pageNumber,
            @RequestParam(defaultValue = "10", name = "size") int pageSize) {
        Specification<CloudYu> spec = null;
        Sort sort = Sort.by(Sort.Order.desc("id"));
        Pageable pageable = PageRequest.of(pageNumber, pageSize, sort);
        return yongYouU8Service.findAll(spec, pageable);
    }

    @RequestMapping("/save")
    public CloudYu save(CloudYu cloudYu) {
        return yongYouU8Service.save(cloudYu);
    }

    @RequestMapping("/delete")
    public void delete(Integer id) {
        CloudYu cloudYu = yongYouU8Service.findById(id);
        yongYouU8Service.delete(cloudYu);
    }
}